$(function () {
  // ルーム開設メンバー数カウント
  $("input:checkbox")
    .change(function () {
      if ($(this).prop("checked")) {
        $(this).attr("checked", true);
      } else {
        $(this).removeAttr("checked");
      }
    })
    .trigger("change");

  // チェックした人数カウント
  $("input:checkbox")
    .change(function () {
      var cnt = $(".checkbox input:checkbox:checked").length;
      $(".select_member_num").text(cnt);
    })
    .trigger("change");

  // ルーム人数選択確認イベント
  $(".make_room_btn button").click(function () {
    $("form").submit();
  });
  // ルーム人数選択イベント
  $(".make_room_confirm_btn button").click(function () {
    $("form").submit();
  });
  // ユーザー追加確認イベント
  $(".add_user_confirm_btn button").click(function () {
    $("form").submit();
  });
  // ユーザー追加イベント
  $(".add_user_btn button").click(function () {
    $("form").submit();
  });
  // ルーム名変更イベント
  $(".change_room_name_btn button").click(function () {
    $("form").submit();
  });

  // 検索アイコン押下イベント
  $(".nav_item_wrap .search_menu").click(function () {
    $(".nav_item_wrap").addClass("none");
    $(".chat_room_src_form").removeClass("none");
    $(".room_container").addClass("none");
    $(".overlay_src_msg").removeClass("none");
    // フィルタ表示
    $("#filter").removeClass("none");
    $("#user_list").addClass("none");
  });
  $(".chat_room_src_form .cancel").click(function () {
    $(".nav_item_wrap").removeClass("none");
    $(".chat_room_src_form").addClass("none");
    $(".chat_room_src_form input").val("");
    $(".room_container").removeClass("none");
    $(".overlay_src_msg").empty();
    // ユーザーリスト表示
    $("#filter").addClass("none");
    $("#user_list").removeClass("none");
  });

  // フィルタ選択イベント
  $("#filter .img_wrap").click(function () {
    // チェックアイコン追加
    $(this).toggleClass("filter");
  });

  // チャットメンバー検索
  $('#chat .search_form input[type="search"]').keyup(function () {
    $.ajax({
      url: "search_message_user_list.html",
      type: "POST",
      datatype: "html",
    }).done(function (data) {
      $(".overlay_src_msg").html(data);
    });
  });

  // ルームメンバー検索
  $('#chat_room .search_form input[type="search"]').keyup(function () {
    $.ajax({
      url: "search_message_user_list.html",
      type: "POST",
      datatype: "html",
    }).done(function (data) {
      $(".overlay_src_msg").html(data);
    });
  });

  // ユーザー招待メンバー検索
  $('#chat_add_user .search_form input[type="search"]').keyup(function () {
    $.ajax({
      url: "search_message_user_list.html",
      type: "POST",
      datatype: "html",
    }).done(function (data) {
      $(".overlay_src_msg").html(data);
    });
  });

  // チャットルーム
  // メッセージ検索イベント
  $('.chat_room_src_form input[type="search"]').keyup(function () {
    $.ajax({
      url: "search_message.html",
      type: "POST",
      datatype: "html",
    }).done(function (data) {
      $(".overlay_src_msg").html(data);
    });
  });
});
